Subject: bug#28746: 27.0.50; cc-mode should automatically detect Objective-C headers

From: Philipp Stephani <[email-masked]>
Date: Sun, 08 Oct 2017 14:24:28 +0000

Philipp <[email-masked]> schrieb am So., 8. Okt. 2017 um 16:16 Uhr:

>
> Visit a file with a file name extension of .h and the following
> contents:
>
> @interface foo {
> }
> - (void)method;
> @end
>
> The buffer will be in c-mode, not objc-mode.  CC-Mode should
> automatically detect that this is an Objective-C header and switch to
> objc-mode.  Probably searching for @interface or @implementation should
> cover most cases.
>

It seems like CC-Mode is already doing something similar with
`c-or-c++-mode'. Probably that functionality should be extended to cover
Objective-C (and Objective-C++?) as well.